<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>Individual</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.iciObjects, class: Individual">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":9,"i1":10,"i2":9,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":9,"i9":9,"i10":9,"i11":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Individual.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.iciObjects</a></div>
<h1 title="Class Individual" class="title">Class Individual</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance"><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.ICIObject</a>
<div class="inheritance">fr.ici.dataImporter.iciObjects.Individual</div>
</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">Individual</span>
extends <a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></pre>
<div class="block">Individual for ICI simulations.</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Fields</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>(package private) org.locationtech.jts.geom.Point</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#approximateGeom">approximateGeom</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) <a href="property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#classAge">classAge</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#householdID">householdID</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#impossible">impossible</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#noHouseholdPopProvider">noHouseholdPopProvider</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) <a href="property/Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#sex">sex</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="ICIObject.html#DEBUG">DEBUG</a>, <a href="ICIObject.html#ID">ID</a>, <a href="ICIObject.html#rdGen">rdGen</a>, <a href="ICIObject.html#type">type</a></code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,org.locationtech.jts.geom.Point,fr.ici.dataImporter.iciObjects.property.ClassAge,fr.ici.dataImporter.iciObjects.property.Sex,java.lang.String)">Individual</a></span>&#8203;(java.lang.String&nbsp;ID,
org.locationtech.jts.geom.Point&nbsp;approximateGeom,
<a href="property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a>&nbsp;classAge,
<a href="property/Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a>&nbsp;sex,
java.lang.String&nbsp;householdID)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(org.locationtech.jts.geom.Point,fr.ici.dataImporter.iciObjects.property.ClassAge,fr.ici.dataImporter.iciObjects.property.Sex,java.lang.String)">Individual</a></span>&#8203;(org.locationtech.jts.geom.Point&nbsp;approximateGeom,
<a href="property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a>&nbsp;classAge,
<a href="property/Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a>&nbsp;sex,
java.lang.String&nbsp;householdID)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#exportIndividual(java.util.List,java.io.File)">exportIndividual</a></span>&#8203;(java.util.List&lt;<a href="Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;lI,
java.io.File&nbsp;fileOut)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>org.opengis.feature.simple.SimpleFeature</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateSimpleFeature()">generateSimpleFeature</a></span>()</code></th>
<td class="col-last">
<div class="block">Generate the SimpleFeature out of that ICI <a href="Individual.html" title="class in fr.ici.dataImporter.iciObjects"><code>Individual</code></a> object</div>
</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>static java.util.List&lt;<a href="Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getAdults(java.util.List)">getAdults</a></span>&#8203;(java.util.List&lt;<a href="Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;lIndiv)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>org.locationtech.jts.geom.Point</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getApproximateGeom()">getApproximateGeom</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code><a href="property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getClassAge()">getClassAge</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getHouseholdID()">getHouseholdID</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code><a href="property/Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSex()">getSex</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>org.geotools.feature.simple.SimpleFeatureBuilder</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSFB()">getSFB</a></span>()</code></th>
<td class="col-last">
<div class="block">Get the <code>SimpleFeatureBuilder</code> for <a href="Individual.html" title="class in fr.ici.dataImporter.iciObjects"><code>Individual</code></a> export</div>
</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>static java.util.List&lt;<a href="Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importIndividuals(java.io.File)">importIndividuals</a></span>&#8203;(java.io.File&nbsp;indivICI)</code></th>
<td class="col-last">
<div class="block">Import ICI individuals from an already exported file.</div>
</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>static java.util.List&lt;<a href="Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importIndividuals(java.util.List,java.io.File,java.io.File)">importIndividuals</a></span>&#8203;(java.util.List&lt;<a href="Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lHH,
java.io.File&nbsp;irisPopFile,
java.io.File&nbsp;irisHHFile)</code></th>
<td class="col-last">
<div class="block">Generate ICI individuals regarding to a list of <a href="Household.html" title="class in fr.ici.dataImporter.iciObjects"><code>Household</code></a></div>
</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>static java.util.List&lt;<a href="Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importIndividuals(java.util.List,java.io.File,java.io.File,java.io.File)">importIndividuals</a></span>&#8203;(java.util.List&lt;<a href="Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lHH,
java.io.File&nbsp;irisPopFile,
java.io.File&nbsp;irisHHFile,
java.io.File&nbsp;noHouseholdPopGeoFile)</code></th>
<td class="col-last">
<div class="block">Generate ICI individuals regarding to a list of <a href="Household.html" title="class in fr.ici.dataImporter.iciObjects"><code>Household</code></a> and INSEE's statistics</div>
</td>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#toString()">toString</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="ICIObject.html#equals(java.lang.Object)">equals</a>, <a href="ICIObject.html#getID()">getID</a>, <a href="ICIObject.html#getType()">getType</a>, <a href="ICIObject.html#hashCode()">hashCode</a>, <a href="ICIObject.html#setRdGen(java.util.Random)">setRdGen</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="impossible">
<h3>impossible</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">impossible</span></div>
</section>
</li>
<li>
<section class="detail" id="noHouseholdPopProvider">
<h3>noHouseholdPopProvider</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">noHouseholdPopProvider</span></div>
</section>
</li>
<li>
<section class="detail" id="classAge">
<h3>classAge</h3>
<div class="member-signature"><span class="return-type"><a href="property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a></span>&nbsp;<span class="member-name">classAge</span></div>
</section>
</li>
<li>
<section class="detail" id="sex">
<h3>sex</h3>
<div class="member-signature"><span class="return-type"><a href="property/Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a></span>&nbsp;<span class="member-name">sex</span></div>
</section>
</li>
<li>
<section class="detail" id="householdID">
<h3>householdID</h3>
<div class="member-signature"><span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">householdID</span></div>
</section>
</li>
<li>
<section class="detail" id="approximateGeom">
<h3>approximateGeom</h3>
<div class="member-signature"><span class="return-type">org.locationtech.jts.geom.Point</span>&nbsp;<span class="member-name">approximateGeom</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(org.locationtech.jts.geom.Point,fr.ici.dataImporter.iciObjects.property.ClassAge,fr.ici.dataImporter.iciObjects.property.Sex,java.lang.String)">
<h3>Individual</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Individual</span>&#8203;(<span class="parameters">org.locationtech.jts.geom.Point&nbsp;approximateGeom,
<a href="property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a>&nbsp;classAge,
<a href="property/Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a>&nbsp;sex,
java.lang.String&nbsp;householdID)</span></div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,org.locationtech.jts.geom.Point,fr.ici.dataImporter.iciObjects.property.ClassAge,fr.ici.dataImporter.iciObjects.property.Sex,java.lang.String)">
<h3>Individual</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Individual</span>&#8203;(<span class="parameters">java.lang.String&nbsp;ID,
org.locationtech.jts.geom.Point&nbsp;approximateGeom,
<a href="property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a>&nbsp;classAge,
<a href="property/Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a>&nbsp;sex,
java.lang.String&nbsp;householdID)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="importIndividuals(java.util.List,java.io.File,java.io.File)">
<h3>importIndividuals</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;</span>&nbsp;<span class="member-name">importIndividuals</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lHH,
java.io.File&nbsp;irisPopFile,
java.io.File&nbsp;irisHHFile)</span>
                                                    throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Generate ICI individuals regarding to a list of <a href="Household.html" title="class in fr.ici.dataImporter.iciObjects"><code>Household</code></a></div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lHH</code> - list of Households</dd>
<dd><code>irisPopFile</code> - Iris containing demographic information</dd>
<dt>Returns:</dt>
<dd>the list of generated individual. The result is variable.</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading irisPopFile datastore</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importIndividuals(java.util.List,java.io.File,java.io.File,java.io.File)">
<h3>importIndividuals</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;</span>&nbsp;<span class="member-name">importIndividuals</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lHH,
java.io.File&nbsp;irisPopFile,
java.io.File&nbsp;irisHHFile,
java.io.File&nbsp;noHouseholdPopGeoFile)</span>
                                                    throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Generate ICI individuals regarding to a list of <a href="Household.html" title="class in fr.ici.dataImporter.iciObjects"><code>Household</code></a> and INSEE's statistics</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lHH</code> - list of Households</dd>
<dd><code>irisPopFile</code> - Iris containing demographic information</dd>
<dd><code>irisHHFile</code> - IRIS containing household information</dd>
<dd><code>noHouseholdPopGeoFile</code> - geo files containing informations about individuals that aren't living in households (foyer, student dorms, retirement home...). Optional.
                              Type iof input file must be set in the <a href="#noHouseholdPopProvider"><code>noHouseholdPopProvider</code></a> static variable and the corresponding method to import Individuals from there must be implemented.</dd>
<dt>Returns:</dt>
<dd>the list of generated individual. The result is variable.</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading irisPopFile datastore</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importIndividuals(java.io.File)">
<h3>importIndividuals</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;</span>&nbsp;<span class="member-name">importIndividuals</span>&#8203;(<span class="parameters">java.io.File&nbsp;indivICI)</span>
                                                    throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Import ICI individuals from an already exported file.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>indivICI</code> - geo file containing individuals</dd>
<dt>Returns:</dt>
<dd>a list of <a href="Individual.html" title="class in fr.ici.dataImporter.iciObjects"><code>Individual</code></a></dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading geo file</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="exportIndividual(java.util.List,java.io.File)">
<h3>exportIndividual</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.io.File</span>&nbsp;<span class="member-name">exportIndividual</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;lI,
java.io.File&nbsp;fileOut)</span>
                                     throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getAdults(java.util.List)">
<h3>getAdults</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;</span>&nbsp;<span class="member-name">getAdults</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;lIndiv)</span></div>
</section>
</li>
<li>
<section class="detail" id="getSFB()">
<h3>getSFB</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.geotools.feature.simple.SimpleFeatureBuilder</span>&nbsp;<span class="member-name">getSFB</span>()</div>
<div class="block">Get the <code>SimpleFeatureBuilder</code> for <a href="Individual.html" title="class in fr.ici.dataImporter.iciObjects"><code>Individual</code></a> export</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ICIObject.html#getSFB()">getSFB</a></code>&nbsp;in class&nbsp;<code><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></code></dd>
<dt>Returns:</dt>
<dd>the builder with <b>ID</b>, <b>IDHousehold</b>, <b>ageClass</b> and <b>sex</b> fields</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="toString()">
<h3>toString</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">toString</span>()</div>
<dl class="notes">
<dt>Overrides:</dt>
<dd><code><a href="ICIObject.html#toString()">toString</a></code>&nbsp;in class&nbsp;<code><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getSex()">
<h3>getSex</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="property/Sex.html" title="enum in fr.ici.dataImporter.iciObjects.property">Sex</a></span>&nbsp;<span class="member-name">getSex</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getClassAge()">
<h3>getClassAge</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="property/ClassAge.html" title="enum in fr.ici.dataImporter.iciObjects.property">ClassAge</a></span>&nbsp;<span class="member-name">getClassAge</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getHouseholdID()">
<h3>getHouseholdID</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getHouseholdID</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getApproximateGeom()">
<h3>getApproximateGeom</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.locationtech.jts.geom.Point</span>&nbsp;<span class="member-name">getApproximateGeom</span>()</div>
</section>
</li>
<li>
<section class="detail" id="generateSimpleFeature()">
<h3>generateSimpleFeature</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.opengis.feature.simple.SimpleFeature</span>&nbsp;<span class="member-name">generateSimpleFeature</span>()</div>
<div class="block">Generate the SimpleFeature out of that ICI <a href="Individual.html" title="class in fr.ici.dataImporter.iciObjects"><code>Individual</code></a> object</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ICIObject.html#generateSimpleFeature()">generateSimpleFeature</a></code>&nbsp;in class&nbsp;<code><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></code></dd>
<dt>Returns:</dt>
<dd>the feature with <b>ID</b>, <b>IDHousehold</b>, <b>ageClass</b> and <b>sex</b> attributes</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Individual.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
